import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

import java.util.ArrayList;

import static org.junit.jupiter.api.Assertions.assertNotSame;
import static org.junit.jupiter.api.Assertions.assertSame;

public class CampaignTest {

    private Campaign campaign;

    @BeforeEach
    void setUp() {
        int numberOfBusses = 50;
        campaign = new Campaign(District.ALAZIZIYA,
                numberOfBusses);
    }

    @Test
    void VehicleSettersGettersWorkCorrcectly() {
        ArrayList<Vehicle> oldVehicles = campaign.getVehicles();
        assertSame(oldVehicles, campaign.getVehicles());
        ArrayList<Vehicle> newVehicles = new ArrayList<>();
        for (int i = 0; i < 150; i++) {
            newVehicles.add(new Bus(5));
        }
        campaign.setVehicles(newVehicles);
        assertNotSame(oldVehicles, newVehicles);
        assertSame(campaign.getVehicles(), newVehicles);
    }
}
